Welcome to mirror list, hosted at ThFree Co, Russian Federation.

git.blender.org/blender.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBrecht Van Lommel <brechtvanlommel@gmail.com>2019-06-21 19:12:00 +0300
committerBrecht Van Lommel <brechtvanlommel@gmail.com>2019-06-22 00:37:40 +0300
commitc553b790fc781772e8fbfffb91e3bf062d3202d6 (patch)
treef3168bc8cd2c90a2a5dc9fb070e6065639c1460d /release/darwin/bundle.sh
parentad4f5092ecaf919e415fec4ca62b0172293a2075 (diff)
macOS: rename blender.app to Blender.app
Using a capitalized app name fits the platform guidelines. Since macOS file systems are case insensitive by default this should not break scripts that assume lowercase.
Diffstat (limited to 'release/darwin/bundle.sh')
-rwxr-xr-xrelease/darwin/bundle.sh16
1 files changed, 8 insertions, 8 deletions
diff --git a/release/darwin/bundle.sh b/release/darwin/bundle.sh
index b61238dc620..85084e07ee2 100755
--- a/release/darwin/bundle.sh
+++ b/release/darwin/bundle.sh
@@ -69,8 +69,8 @@ while [[ $# -gt 0 ]]; do
esac
done
-if [ ! -d "${SRC_DIR}/blender.app" ]; then
- echo "use --source parameter to set source directory where blender.app can be found"
+if [ ! -d "${SRC_DIR}/Blender.app" ]; then
+ echo "use --source parameter to set source directory where Blender.app can be found"
exit 1
fi
@@ -91,8 +91,8 @@ fi
# let's go.
-echo -n "Copying blender.app..."
-cp -r "${SRC_DIR}/blender.app" "${_tmpdir}/" || exit 1
+echo -n "Copying Blender.app..."
+cp -r "${SRC_DIR}/Blender.app" "${_tmpdir}/" || exit 1
echo
# Create the disk image
@@ -130,10 +130,10 @@ if [ ! -z "${C_CERT}" ]; then
# codesigning seems to be thingie. all libs and binaries need to be
# signed separately. todo: use some find magic to find those
echo -n "Codesigning..."
- codesign --timestamp --options runtime --sign "${C_CERT}" "${MOUNT_DIR}/blender.app/Contents/Resources/2.80/python/bin/python3.7m"
- codesign --timestamp --options runtime --sign "${C_CERT}" "${MOUNT_DIR}/blender.app/Contents/Resources/2.80/python/lib/python3.7/site-packages/libextern_draco.dylib"
- codesign --timestamp --options runtime --sign "${C_CERT}" "${MOUNT_DIR}/blender.app/Contents/Resources/lib/libomp.dylib"
- codesign --timestamp --options runtime --sign "${C_CERT}" "${MOUNT_DIR}/blender.app"
+ codesign --timestamp --options runtime --sign "${C_CERT}" "${MOUNT_DIR}/Blender.app/Contents/Resources/2.80/python/bin/python3.7m"
+ codesign --timestamp --options runtime --sign "${C_CERT}" "${MOUNT_DIR}/Blender.app/Contents/Resources/2.80/python/lib/python3.7/site-packages/libextern_draco.dylib"
+ codesign --timestamp --options runtime --sign "${C_CERT}" "${MOUNT_DIR}/Blender.app/Contents/Resources/lib/libomp.dylib"
+ codesign --timestamp --options runtime --sign "${C_CERT}" "${MOUNT_DIR}/Blender.app"
echo
else
echo "No codesigning cert given, skipping..."